# EventLoop in maplibre::window - Rust
The event loop is responsible for processing events and propagating them to the map renderer. Only non-headless windows use an [`EventLoop`].
Keywords: rust, rustlang, rust-lang, EventLoop

# Trait maplibre::window::EventLoop

source · [−]

    pub trait EventLoop<MWC, SM, HC> where
        MWC: MapWindowConfig,
        SM: ScheduleMethod,
        HC: HttpClient, {
        fn run(
            self,
            map_schedule: InteractiveMapSchedule<MWC, SM, HC>,
            max_frames: Option<u64>
        );
    }

Expand description

The event loop is responsible for processing events and propagating them to the map renderer. Only non-headless windows use an `EventLoop`.

## Required methods

source

#### fn run(
self,
map_schedule: InteractiveMapSchedule<MWC, SM, HC>,
max_frames: Option<u64>
)

## Implementors